WordPress.org

Support

Support » Plugins and Hacks » Awesome Flickr Gallery » [Resolved] AFG is working, but is throwing many PHP errors

[Resolved] AFG is working, but is throwing many PHP errors

  • Does anyone know how I can fix these errors from AFG? Thanks!

    -Todd

    PHP Notice: Use of undefined constant SHORTCODE_PRIORITY – assumed ‘SHORTCODE_PRIORITY’ in /plugins/awesome-flickr-gallery-plugin/index.php on line 125
    PHP Notice: Undefined index: slideshow_option in /plugins/awesome-flickr-gallery-plugin/index.php on line 131
    PHP Notice: Undefined index: slideshow_option in/plugins/awesome-flickr-gallery-plugin/index.php on line 163

    http://wordpress.org/extend/plugins/awesome-flickr-gallery-plugin/

Viewing 15 replies - 1 through 15 (of 17 total)
  • Plugin Author Ronak Gandhi

    @ronakg

    Which version of the WordPress are you running?

    WP 3.5. And everything is updated. There are more errors in the log, such as:
    PHP Notice: Undefined variable: photo_title_text in /home/todd/public_html/wp-content/plugins/awesome-flickr-gallery-plugin/index.php on line 446

    Plugin Author Ronak Gandhi

    @ronakg

    I’ll find out all such errors and warnings and fix those in next release. Thanks for pointing it out.

    I’m keeping this thread open till it gets fixed.

    Thanks! I’ll keep this bookmarked.

    Plugin Author Ronak Gandhi

    @ronakg

    Can you check with latest version? All these warnings should be fixed now.

    I’m still getting errors:

    [19-Jan-2013 19:11:00 UTC] PHP Notice: Undefined variable: enable_colorbox in /home/todd/public_html/wp-content/plugins/awesome-flickr-gallery-plugin/index.php on line 140
    [19-Jan-2013 19:11:00 UTC] PHP Notice: Undefined index: slideshow_option in /home/todd/public_html/wp-content/plugins/awesome-flickr-gallery-plugin/index.php on line 131
    [19-Jan-2013 19:11:00 UTC] PHP Notice: Undefined index: slideshow_option in /home/todd/public_html/wp-content/plugins/awesome-flickr-gallery-plugin/index.php on line 163

    Plugin Author Ronak Gandhi

    @ronakg

    I forgot to ask you, are you running latest version 3.3.6? Not the 3.3.4 which is showing up here on WordPress.

    I’m running that latest version from here on WordPress. Where can I get 3.3.6?

    Plugin Author Ronak Gandhi

    @ronakg

    You should get an update notification for 3.3.6. I moved the plugin out of WordPress from version 3.3.5.

    I’ll update as soon as 3.3.6 shows up on the repository and get right back to you.

    Random errors at odd times seems to be from underpowered servers. When we have high load, it spits out errors but works. Deactivate/reactivate usually fixes it for us.

    (pre 3.36)

    Plugin Author Ronak Gandhi

    @ronakg

    Please post the errors you see, so that I can take a look.

    Hi Ronak-

    FYI, I still don’t see 3.3.6 in the repository. It’s still giving me 3.3.4.

    Plugin Author Ronak Gandhi

    @ronakg

    3.3.6 won’t show up in the repository. Go to your WordPress Updates page and press Check again. You should get a notification for an update to AFG on this page.

    It didn’t show up. I also tried selecting AFG and manually updating it. It showed it was up to date.

Viewing 15 replies - 1 through 15 (of 17 total)
  • The topic ‘[Resolved] AFG is working, but is throwing many PHP errors’ is closed to new replies.
Skip to toolbar